!	n=1,2,..,10 の累乗の計算
!	履歴
!	2011/04/?? 川畑　拓也　新規作成
!	2012/04/12 増田　和孝  修正
program ex1
implicit none

real(8) :: N2	! n の2 乗
real(8) :: N3	! n の3 乗
real(8) :: Ninv ! n の逆数
integer :: n	! loop変数
integer :: I,X,F ! 書式指定子

N2 = 0.0d0
N3 = 0.0d0
Ninv = 0.0d0

write(*, *) "  n          n2            n3            1/n"

do n=1, 10　　　　　　　! 累乗の計算をするloop
   N2 = dble(n) **2
   N3 = dble(n) **3
   Ninv = 1.0d0 / dble(n)
   write(*, '(1X, I4, 2X, 3F14.8)') n, N2, N3, Ninv
enddo

end program ex1
